/*
 * Copyright (C) 2004  Moritz Orbach <irom@apfelboymchen.homeunix.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

struct s_imagelist {
	long *pnext;
	char *path;
};

struct s_imagelist *list_get(int num);

int list_init(void);
int list_destroy(void);
int list_append(const char *path);
int list_count(void);
unsigned int list_allocated(void);
int list_delete(unsigned int pos);
